当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编辑eva时configure错误,求助。
帖子发表于 : 2008-01-29 21:43 
头像

注册: 2007-01-01 12:28
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
在做configure时,出现如下提示,
代码:
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

难道是我的cpp有问题。那么如何安装cpp呢?

我执行sudo apt-get install cpp时,提示cpp已经是最新的版本了。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-01-30 8:51 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
装 build-essential


_________________
关注我的blog: ε==3


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-01-30 21:31 
头像

注册: 2007-01-01 12:28
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
安装了build-essential
又编译了QT4.3.3,继续configure。又出现如下的提示。
代码:
checking for Qt... configure: error: Qt (>= Qt 3.0) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.


QT目录为:/usr/local/Trolltech/Qt-4.3.3/bin
把profile改成下面这样了。不知道对不对。
代码:
# /etc/profile: system-wide .profile file for the Bourne shell (sh(1))
# and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).

if [ "$PS1" ]; then
  if [ "$BASH" ]; then
    PS1='\u@\h:\w\$ '
    if [ -f /etc/bash.bashrc ]; then
   . /etc/bash.bashrc
    fi
  else
    if [ "`id -u`" -eq 0 ]; then
      PS1='# '
    else
      PS1='$ '
    fi
PATH=/usr/local/Trolltech/Qt-4.3.3/bin$PATH
  fi
fi

umask 022


其中:
代码:
PATH=/usr/local/Trolltech/Qt-4.3.3/bin$PATH
是我加上去的。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-01-30 21:34 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
装源的


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-01-30 22:04 
头像

注册: 2007-01-01 12:28
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
源里边的是0.41。我已经登不上去了。没办法。只好自己找了。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-01-31 21:41 

注册: 2008-01-24 16:24
帖子: 138
送出感谢: 0 次
接收感谢: 0 次
加PATH有什么用, 又不是找可执行文件, 它要找头文件啊, 你要运行一下configure --help, 看看有没有关于qt的设置, 比如 with-qt 之类的, 只是打个比方; 实在不行就自己强行修改configure 脚本, 干脆到里边把qt的东东注释掉, 当然最好不要这样做 8) 8)


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-02-01 20:17 
头像

注册: 2007-01-01 12:28
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
找到了关于QT设置的选项,--with-qt-dir, --with-qt-includes=DIR,--with-qt-libraries=DIR,于是执行了sudo ./configure --with-qt-dir=/usr/share/qt3 --with-qt-includes=/usr/share/qt3/include --with-qt-libraries=/usr/share/qt3/lib
结果还是一样。
执行sudo apt-get install libqt3-headers libqt3-mt-dev安装了qt的head和lib
然后又出现了新的错误。

代码:
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!

又sudo apt-get install kdelibs4-dev kdelibs4c2a
希望这次能通过吧。

看来默认安装的ubuntu有好多东西是不全的呀。

再sudo ./configure一次吧。
终于出现我期盼己久的Good - your configure finished. Start make now


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-02-01 20:22 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
xindex 写道:
源里边的是0.41。我已经登不上去了。没办法。只好自己找了。


那就不要用QQ了, 源里的版本协议是最新的


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-03-11 10:28 
头像

注册: 2005-10-25 13:54
帖子: 272
送出感谢: 0 次
接收感谢: 0 次
你少一个包叫,kdelibs4-dev


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-03-13 19:07 
头像

注册: 2007-05-08 16:26
帖子: 2058
地址: 火星内核某分子内某原子核内
系统: arch
送出感谢: 20
接收感谢: 6
缺什么,只要输入sudo apt-get build-dep eva # - 为源码包配置所需的构建依赖关系

因为eva 源里有.


_________________
笔记本 :
F208S : gentoo
A460P i3G D6 : UBUNTU + WIN7
UN43D1 : UBUNTU + WIN7
1000人超级QQ群 LINUX + WIN : 31465544 或 18210387


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-03-13 19:13 
头像

注册: 2007-07-11 20:59
帖子: 3922
送出感谢: 0 次
接收感谢: 0 次
下一个最新的DEB来装上就OK了!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译